Bug 963155 - Consistent failures in org.infinispan.atomic with IBM jdk
Consistent failures in org.infinispan.atomic with IBM jdk
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.1.0,6.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Paul Ferraro
Richard Janík
Russell Dickenson
Infinispan testsuite
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 05:34 EDT by Richard Janík
Modified: 2015-09-24 05:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 03:20:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktraces (47.62 KB, text/plain)
2013-05-15 05:34 EDT, Richard Janík
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4833 Major Resolved Tests from org.infinispan.atomic package fail with AssertionError (5.2.10) 2015-09-24 05:30 EDT

  None (edit)
Description Richard Janík 2013-05-15 05:34:09 EDT
Created attachment 748164 [details]
stacktraces

Description of problem:

Since Infinispan 5.2.6.Final, EAP 6.1.0.ER8.

There are several test failures with IBM jdk (and only with IBM jdk) in package org.infinispan.atomic in classes LocalDeltaAwarePassivationTest and ReplDeltaAwarePassivationTest. The list of failing tests:

org.infinispan.atomic.LocalDeltaAwarePassivationTest.testAtomicMap
org.infinispan.atomic.LocalDeltaAwarePassivationTest.testDeltaAware
org.infinispan.atomic.LocalDeltaAwarePassivationTest.testFineGrainedAtomicMap
org.infinispan.atomic.ReplDeltaAwarePassivationTest.testAtomicMap
org.infinispan.atomic.ReplDeltaAwarePassivationTest.testAtomicMap2
org.infinispan.atomic.ReplDeltaAwarePassivationTest.testDeltaAware
org.infinispan.atomic.ReplDeltaAwarePassivationTest.testDeltaAware2
org.infinispan.atomic.ReplDeltaAwarePassivationTest.testFineGrainedAtomicMap 
org.infinispan.atomic.ReplDeltaAwarePassivationTest.testFineGrainedAtomicMap2

Some stacktraces (the rest is in attachments):

Error Message

expected:<first component of object with key=key1> but was:<null>

Stacktrace

java.lang.AssertionError: expected:<first component of object with key=key1> but was:<null>
	at org.junit.Assert.fail(Assert.java:93)
	at org.junit.Assert.failNotEquals(Assert.java:647)
	at org.junit.Assert.assertEquals(Assert.java:128)
	at org.junit.Assert.assertEquals(Assert.java:147)
	at org.infinispan.atomic.LocalDeltaAwareEvictionTest.assertInitialValues(LocalDeltaAwareEvictionTest.java:149)
	at org.infinispan.atomic.LocalDeltaAwareEvictionTest.test(LocalDeltaAwareEvictionTest.java:118)
	at org.infinispan.atomic.LocalDeltaAwareEvictionTest.testAtomicMap(LocalDeltaAwareEvictionTest.java:226)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
	at java.lang.reflect.Method.invoke(Method.java:611)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:714)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:901)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1231)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:314)
	at java.util.concurrent.FutureTask.run(FutureTask.java:149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:908)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:931)
	at java.lang.Thread.run(Thread.java:738)



Error Message

expected:<first component of object with key=key1> but was:<null>

Stacktrace

java.lang.AssertionError: expected:<first component of object with key=key1> but was:<null>
	at org.junit.Assert.fail(Assert.java:93)
	at org.junit.Assert.failNotEquals(Assert.java:647)
	at org.junit.Assert.assertEquals(Assert.java:128)
	at org.junit.Assert.assertEquals(Assert.java:147)
	at org.infinispan.atomic.LocalDeltaAwareEvictionTest.assertInitialValues(LocalDeltaAwareEvictionTest.java:149)
	at org.infinispan.atomic.LocalDeltaAwareEvictionTest.test(LocalDeltaAwareEvictionTest.java:118)
	at org.infinispan.atomic.LocalDeltaAwareEvictionTest.testFineGrainedAtomicMap(LocalDeltaAwareEvictionTest.java:274)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
	at java.lang.reflect.Method.invoke(Method.java:611)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:714)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:901)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1231)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:314)
	at java.util.concurrent.FutureTask.run(FutureTask.java:149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:908)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:931)
	at java.lang.Thread.run(Thread.java:738)


Seen here:

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Infinispan/job/eap-6x-infinispan-rhel-matrix/36/testReport/
Comment 1 Radoslav Husar 2014-05-30 06:47:41 EDT
This is a known Infinispan issue:

https://issues.jboss.org/browse/ISPN-3364 (upstream)
https://bugzilla.redhat.com/show_bug.cgi?id=987893 (JDG)
Comment 3 Richard Janík 2014-10-14 03:20:08 EDT
Upstream test stabilization jiras exists (https://issues.jboss.org/browse/ISPN-4833).
Comment 6 JBoss JIRA Server 2015-09-24 05:30:16 EDT
Richard Janík <rjanik@redhat.com> updated the status of jira ISPN-4833 to Resolved

Note You need to log in before you can comment on or make changes to this bug.